Subject: [pkix] [Errata Held for Document Update] RFC6844 (4062)

From: RFC Errata System <[email-masked]>
Date: Wed, 3 Sep 2014 13:10:04 -0700 (PDT)

The following errata report has been held for document update 
for RFC6844, "DNS Certification Authority Authorization (CAA) Resource Record". 

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=6844&eid=4062

--------------------------------------
Status: Held for Document Update
Type: Technical

Reported by: Evan Hunt <[email-masked]>
Date Reported: 2014-07-24
Held by: Kathleen Moriarty (IESG)

Section: 5.1.1

Original Text
-------------
Value:  Is the <character-string> encoding of the value field as
specified in [RFC1035], Section 5.1.

Corrected Text
--------------
Value:  The value field, expressed as a contiguous set of characters
without interior spaces, or as a quoted string.  See the the
<character-string> format specified in [RFC1035], Section 5.1,
but note that the value field contains no length byte and is not
limited to 255 characters.

Notes
-----
<character-string> is defined in RFC 1035 as being limited to 255 characters
preceded by a length byte. Saying the field is encoded as a <character-string>
creates ambiguity as to whether the value field is intended to be size-limited.

RFC author agreed that it was okay to make this more explicit with the proposed text.

--------------------------------------
RFC6844 (draft-ietf-pkix-caa-15)
--------------------------------------
Title               : DNS Certification Authority Authorization (CAA) Resource Record
Publication Date    : January 2013
Author(s)           : P. Hallam-Baker, R. Stradling
Category            : PROPOSED STANDARD
Source              : Public-Key Infrastructure (X.509)
Area                : Security
Stream              : IETF
Verifying Party     : IESG